package com.liangjian.dataplatform.member.entity.pojo;

import java.io.Serializable;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/26 15:45
 *
 * 一个用于表示数据库中字段的entry信息的{"nullable":boolean, "pk":boolean}的结构
 */
public class PkAndNullable implements Serializable {

    private static final long serialVersionUID = -6510638270178376235L;

    private Boolean pk;
    private Boolean nullable;

    public PkAndNullable() {
        //默认为null，防止new不正当时造成的空指
        this.pk = false;
        this.nullable = false;
    }

    public PkAndNullable(Boolean pk, Boolean nullable) {
        this.pk = pk;
        this.nullable = nullable;
    }

    public Boolean getPk() {
        return pk;
    }

    public void setPk(Boolean pk) {
        this.pk = pk;
    }

    public Boolean getNullable() {
        return nullable;
    }

    public void setNullable(Boolean nullable) {
        this.nullable = nullable;
    }

    @Override
    public String toString() {
        return "PkAndNullable{" +
                "pk=" + pk +
                ", nullable=" + nullable +
                '}';
    }
}
